#include <TestServiceI.h>
#include <Ice/ice.h>
#include <Ice/Service.h>

using namespace Test;

class MyService : public Ice::Service
{
  private:
    Ice::ObjectAdapterPtr adapter_;

  protected:
    virtual bool start( int argc, char* argv[] );
};

bool MyService::start( int argc, char* argv[] )
{
    adapter_ = communicator()->createObjectAdapterWithEndpoints(
                      "TestServiceAdapter", "default -p 48105" );

    Ice::ObjectPtr obj = new TestServiceI;
    adapter_->add( obj, Ice::stringToIdentity( "TestService" ) );
    adapter_->activate();

    return true;
}



int main(int argc, char* argv[])
{
    MyService svc;
    return  svc.main(argc, argv);
}
